Campaign Management

View Campaign

View full details of a campaign including its questions. You can only view campaigns that you own. The questions field is null if no questions have been added yet.

GET/nfthing/campaign/view

Headers

FieldTypeRequiredDescription
X-API-KeystringYesYour Membrane API key.

Query parameters

FieldTypeRequiredDescription
post_idstringYesThe post_id of the campaign.

Example response

200 OK
{
  "success": true,
  "message": "Campaign retrieved successfully",
  "data": {
    "id": 84,
    "post_id": "bbfea083-da7f-492f-a29d-9f66848de9e4",
    "type": "survey",
    "title": "Tech Survey 2026",
    "description": "Share your thoughts on the latest tech trends",
    "category": "technology",
    "tagline": "Your opinion matters",
    "reward_amount": 15,
    "duration": 60,
    "canonical_url": null,
    "content_url": "https://example.com/tech-survey",
    "thumbnail_url": null,
    "aspect_ratio": null,
    "cta_name": null,
    "has_feedback": true,
    "is_live": false,
    "status": "active",
    "source": "survey",
    "company_id": 9,
    "user": {
      "user_id": "TEST-5007",
      "username": "updated1003",
      "handle": "updated1003.nfthing",
      "user_image": "https://cdn.example.com/user.svg"
    },
    "questions": [
      {
        "type": "descriptive",
        "question": "What tech products are you planning to buy?"
      },
      {
        "type": "single_choice",
        "question": "Do you prefer local or large platforms?",
        "options": [
          "Local retailers",
          "Large platforms",
          "Both"
        ]
      }
    ],
    "created_at": "2026-02-13T14:07:39.471461",
    "updated_at": "2026-02-13T14:09:10.266108"
  }
}